package com.leromro.core.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.leromro.core.mapper.LSlideshowMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.leromro.core.domain.Slideshow;
import com.leromro.core.service.ILSlideshowService;

/**
 * 主页轮播图或后续其他广告图片Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-04-24
 */
@Service
public class LSlideshowServiceImpl extends ServiceImpl<LSlideshowMapper, Slideshow> implements ILSlideshowService
{
    @Autowired
    private LSlideshowMapper lSlideshowMapper;

    /**
     * 查询主页轮播图或后续其他广告图片
     * 
     * @param slideshowId 主页轮播图或后续其他广告图片主键
     * @return 主页轮播图或后续其他广告图片
     */
    @Override
    public Slideshow selectLSlideshowBySlideshowId(Long slideshowId)
    {
        return lSlideshowMapper.selectLSlideshowBySlideshowId(slideshowId);
    }

    /**
     * 查询主页轮播图或后续其他广告图片列表
     * 
     * @param slideshow 主页轮播图或后续其他广告图片
     * @return 主页轮播图或后续其他广告图片
     */
    @Override
    public List<Slideshow> selectLSlideshowList(Slideshow slideshow)
    {
        return lSlideshowMapper.selectLSlideshowList(slideshow);
    }

    /**
     * 新增主页轮播图或后续其他广告图片
     * 
     * @param slideshow 主页轮播图或后续其他广告图片
     * @return 结果
     */
    @Override
    public Boolean insertLSlideshow(Slideshow slideshow)
    {
        return this.save(slideshow);
    }

    /**
     * 修改主页轮播图或后续其他广告图片
     * 
     * @param slideshow 主页轮播图或后续其他广告图片
     * @return 结果
     */
    @Override
    public Boolean updateLSlideshow(Slideshow slideshow)
    {
        return this.updateById(slideshow);
    }

    /**
     * 批量删除主页轮播图或后续其他广告图片
     * 
     * @param slideshowIds 需要删除的主页轮播图或后续其他广告图片主键
     * @return 结果
     */
    @Override
    public int deleteLSlideshowBySlideshowIds(Long[] slideshowIds)
    {
        return lSlideshowMapper.deleteLSlideshowBySlideshowIds(slideshowIds);
    }

    /**
     * 删除主页轮播图或后续其他广告图片信息
     * 
     * @param slideshowId 主页轮播图或后续其他广告图片主键
     * @return 结果
     */
    @Override
    public int deleteLSlideshowBySlideshowId(Long slideshowId)
    {
        return lSlideshowMapper.deleteLSlideshowBySlideshowId(slideshowId);
    }
}
